Create Signature for Bucket
Description
This API allows you to create a signature for the required bucket. The Bucket is referred by its unique bucket name.
Request Details
Request URL
POST
{api-domain}/baas/v1/project/{project_id}/bucket/signature
copy
project_id
Numerical
The unique ID of the project
Query Parameters
bucket_name
Alphanumeric
mandatory
Request Headers
Authorization: Zoho-oauthtoken {oauth_token}
Optional Headers
CATALYST-ORG: {org_id}
Environment: Development
Scope
ZohoCatalyst.buckets.objects.CREATE
Response Details
On successful execution, the response will contain the required signature of the bucket along with its validity time period.
Sample Request
copy
curl -X POST
https://api.catalyst.zoho.com/baas/v1/project/4000000006007/bucket/signature?bucket_name=zylker-bucket
-H “Authorization: Zoho-oauthtoken 1000.910*************************16.2f*************************57”
Sample Response
copy
{
"status": "success",
"data": {
"signature": "stsPolicy=eyJzaWduaW5ndGltZSI6MTcyMTk3NDc1NDQ1MiwiZXhwaXJhdGlvbiI6MzYwMCwiYWN0aW9uIjpbIkdldE9iamVjdCIsIlB1dE9iamVjdCJdLCJjcmVkZW50aWFscyI6IjY3MjUxNjQ0LTg1NDM1OTI2IiwicmVzb3VyY2UiOlsic3JuOjo6dGVzdGRzZHMtZGV2ZWxvcG1lbnQvKiJdLCJxdWVyeSI6W10sImhlYWRlcnMiOltdLCJib2R5Ijp7ImNvbnRlbnQtdHlwZSI6IioiLCJjb250ZW50LWxlbmd0aCI6bnVsbH19&stsSignature=Nyr29x7N-CzDSfFaTzzPnwWsL74ga9rIGZJIxWFdNtI",
"expiry_time": 1786382487000
}
}
Yes
No
Send your feedback to us
Skip
Submit